Bug 4715 - [UPDATE REQUEST] draklive-install-1.45-17
: [UPDATE REQUEST] draklive-install-1.45-17
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-22 03:42 MSK by Konstantin Vlasov
Modified: 2014-12-02 19:14 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
konstantin.vlasov: published+


Attachments
01-error-while-start-live.jpg (115.17 KB, image/jpeg)
2014-11-26 15:31 MSK, FirstLevel
Details
02-font.jpg (128.64 KB, image/jpeg)
2014-11-26 15:33 MSK, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2014-11-22 03:42:29 MSK
draklive-install updated.
Comment 1 Konstantin Vlasov 2014-11-22 03:44:35 MSK
https://abf.rosalinux.ru/build_lists/2343156
https://abf.rosalinux.ru/build_lists/2343157

Advisory:
1. Now it's possible to skip bootloader installation if necessary (warning is displayed).
2. Fixed generating grub.cfg for EFI boot mode.
3. Fixed encoding in some error messages.
Comment 3 Konstantin Vlasov 2014-11-24 19:02:48 MSK
Sorry, wrong image. Link to the new image will be posted soon.
Comment 5 FirstLevel 2014-11-26 15:31:06 MSK
Created attachment 3526 [details]
01-error-while-start-live.jpg
Comment 6 FirstLevel 2014-11-26 15:33:12 MSK
I have some errros like 01-error-while-start-live.jpg while starting 32bit in the live mode.
Is it important "...failed to read snapshot metadata" ?
Comment 7 FirstLevel 2014-11-26 15:33:26 MSK
Created attachment 3527 [details]
02-font.jpg
Comment 8 FirstLevel 2014-11-26 15:34:12 MSK
I have this 02-font.jpg instead of symbols
Comment 9 Konstantin Vlasov 2014-11-26 18:14:52 MSK
(In reply to comment #6)
> I have some errros like 01-error-while-start-live.jpg while starting 32bit
> in the live mode.
> Is it important "...failed to read snapshot metadata" ?

All these error messages were present from the beginning.


(In reply to comment #8)
> I have this 02-font.jpg instead of symbols

Fixed here:
https://abf.rosalinux.ru/platforms/rosa2014.1/products/111/product_build_lists/7671
Comment 10 Vladimir Potapov 2014-11-26 18:56:17 MSK
(In reply to comment #9)
> (In reply to comment #8)
> > I have this 02-font.jpg instead of symbols
> 
> Fixed here:
> https://abf.rosalinux.ru/platforms/rosa2014.1/products/111/
> product_build_lists/7671
А зачем в тестовой-то?
Comment 11 Konstantin Vlasov 2014-11-26 19:18:48 MSK
Так тестовая ветка для того и была сделана. А иначе пришлось бы добавлять контейнеры в основную, потом удалять их оттуда. Да ещё если окажется, что есть критическая ошибка, то какое-то время все автособираемые образы будут её содержать.
Comment 12 Konstantin Vlasov 2014-11-26 19:26:38 MSK
> А зачем в тестовой-то?

Хотя, возможно, не так понял вопрос. Если речь о том, почему квадратики пофиксены только в тестовой, - то фикс на самом деле в репозитории, я просто пересобрал тестовый образ с прежними параметрами. В основной ветке этот фикс тоже автоматически появится в следующем автобилде.
Comment 13 FirstLevel 2014-11-28 15:51:12 MSK
"1. Now it's possible to skip bootloader installation if necessary (warning is displayed)."

Yes, it works for 
https://abf.rosalinux.ru/platforms/rosa2014.1/products/111/product_build_lists/7671
Comment 14 Vladimir Potapov 2014-11-28 19:32:15 MSK
(In reply to comment #13)
> "1. Now it's possible to skip bootloader installation if necessary (warning
> is displayed)."
> 
> Yes, it works for 
> https://abf.rosalinux.ru/platforms/rosa2014.1/products/111/
> product_build_lists/7671

Hm. I don't confirm this (setup from grub, no live). I select "cancel" and installation break
Comment 15 Konstantin Vlasov 2014-11-28 20:07:01 MSK
(In reply to comment #14)
> Hm. I don't confirm this (setup from grub, no live). I select "cancel" and
> installation break

"Cancel" cancels the whole installation (and reboots, since there's nothing else to do). "Skip" skips the bootloader installation step and continues to the next one.
Comment 16 Vladimir Potapov 2014-12-02 13:18:49 MSK
Попробовал не "отменить" а "пропустить".
Увы, получил нерабочий загрузчик с одной записью и полностью нерабочий комп.
Comment 17 FirstLevel 2014-12-02 14:25:03 MSK
(In reply to comment #16)
> Попробовал не "отменить" а "пропустить".
> Увы, получил нерабочий загрузчик с одной записью и полностью нерабочий комп.

Какая архитектура?
Comment 18 FirstLevel 2014-12-02 14:25:26 MSK
(In reply to comment #16)
> Попробовал не "отменить" а "пропустить".
> Увы, получил нерабочий загрузчик с одной записью и полностью нерабочий комп.

Реальное железо или виртуалка?
Comment 19 Vladimir Potapov 2014-12-02 14:57:23 MSK
Реальное железо. Воспроизвести второй раз, правда, не удалось - так что есть вариант, что я снес предыдущий загрузчик форматированием (не помню, где он стоял точно).
Но одна штука остается - в записи-предупреждении о неустановке загрузчика вопрос - Пропустить установку загрузчика?
И ответы - "ОК" "отменить".
Я долго думал, что ответить :-)
Ожидалось, конечно, "да" и "нет".
Comment 20 Konstantin Vlasov 2014-12-02 16:32:42 MSK
Скорее всего, действительно, был снесён предыдущий загрузчик. К сожалению, наличие загрузчика (чтобы при его отсутствии выдать более страшное предупреждение) не представляется возможным.

Что касается "ОК/Отмены", я пробовал сначала "Да/Нет", но наши любимые драки радостно возопили, что выбор "Да" и "Нет" просто обязан быть реализован не обычными кнопками, а двумя радиокнопками, добавляющимися под основным текстом, а кто не согласен, тот круглый дурак и не понимает своего счастья. Пришлось согласиться, что я круглый дурак, и откатиться назад на "ОК/Отмену". В туду себе записал, если получится пробиться - сделаю "да/нет".
Comment 21 Vladimir Potapov 2014-12-02 18:49:36 MSK
draklive-install-1.45-17
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2343156/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2343157/x86_64/main/release/
************************** Advisory *************************
1. Now it's possible to skip bootloader installation if necessary (warning is displayed).
2. Fixed generating grub.cfg for EFI boot mode.
3. Fixed encoding in some error messages.
**************************************************************
QA Verified